Subject: bug#73404: 30.0.50; [forward/kill/etc]-sexp commands do not behave as expected in tree-sitter modes

From: Juri Linkov <[email-masked]>
Date: Fri, 10 Jan 2025 09:34:08 +0200

close 73404 31.0.50
thanks

>>> Juri, please feel free to apply your symbol property patch. For the symbol
>>> property name, I feel that something like
>>> treesit-symbol-predicate/treesit-use-as-symbol-predicate would be more
>>> descriptive.
>> 
>> If we settle on the variant that keeps the current format with symbols,
>> wouldn't it better to keep a symbol property name shorter?
>> 
>> First I proposed 'treesit-predicate', but then realized it's wrong
>> since it's opposite to the predicate function.
>> 'treesit-thing' was better since it indicates that it's used in
>> 'treesit-thing-settings'.
>> 
>>> Since we don’t have docstrings for symbol properties (right?).
>> 
>> There are no docstrings for symbol properties indeed.  But I think
>> the important property for the name is that it should be unique enough
>> to be easily greppable.  But I tried to grep, and 'treesit-thing' finds
>> too many matches.
>> 
>> So probably the most suitable symbol name would be 'treesit-thing-symbol',
>> that currently has no occurrences in source code.
>
> Sounds good. Let’s go with it then.

So now pushed together with updates in the manual.